package grpc

import (
	"context"

	"git.gocasts.ir/ebhomengo/niki/patientapp/service/analytic"
	"git.gocasts.ir/ebhomengo/niki/patientapp/service/entity"
)

type AnalyticRepository struct{}

func NewPatientRepo() *AnalyticRepository {

	return &AnalyticRepository{}
}

func (db *AnalyticRepository) GetPatients(ctx context.Context, f analytic.PatientFilter) ([]entity.Patient, error) {

	return nil, nil
}

func (db *AnalyticRepository) CountPatients(ctx context.Context, f analytic.PatientFilter) (int, error) {

	return 0, nil
}

func (db *AnalyticRepository) SummaryByCity(ctx context.Context, provinceID uint, f analytic.PatientMapFilter) (map[uint][]entity.MapSummaryItem, error) {

	return nil, nil
}

func (db *AnalyticRepository) SummaryByProvince(ctx context.Context, f analytic.PatientMapFilter) (map[uint][]entity.MapSummaryItem, error) {

	return nil, nil
}
